dotnet msbuild command - .NET Core CLI(1)

dotnet msbuild

NAME

dotnet msbuild - Builds a project and all of its dependencies.

SYNOPSIS

dotnet msbuild <msbuild_arguments> [-h]

DESCRIPTION

The dotnet msbuild command allows access to a fully functional MSBuild.

The command has the exact same capabilities as existing MSBuild command-line client. The options are all the same. For more information about the available options, see the MSBuild Command-Line Reference.

EXAMPLES

Build a project and its dependencies:

dotnet msbuild

Build a project and its dependencies using Release configuration:

dotnet msbuild /p:Configuration=Release

Run the publish target and publish for the osx.10.11-x64 RID:

dotnet msbuild /t:Publish /p:RuntimeIdentifiers=osx.10.11-x64

See the whole project with all targets included by the SDK:

dotnet msbuild /pp

AUTHORS
mairaw.